<?php

namespace Seka\Vzdelavanie\Models;

use Kalnoy\Nestedset\NodeTrait;
use Illuminate\Database\Eloquent\Model;

/**
 * Class Sekcia
 * @package Seka\Vzdelavanie\Models
 */
class Sekcia extends Model
{
    use NodeTrait;

    /**
     * @var string
     */
    protected $table = 'sekcie';

    /**
     * @var array
     */
    protected $fillable = [
        'nazov',
        'obsah',
        'parent_id',
        'ucebnica_id',
    ];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function ucebnica()
    {
        return $this->belongsTo(Ucebnica::class, 'ucebnica_id', 'id');
    }

    /**
     * @return array
     */
    protected function getScopeAttributes()
    {
        return ['ucebnica_id'];
    }
}
